import { I18nService } from '@lightweightform/core';
import { Toggleable } from '../../abstract/toggleable';
/**
 * HTML string of the alert component.
 */
export declare const alertComponentHtml: string;
/**
 * LF alert component.
 */
export declare class AlertComponent extends Toggleable {
    private i18nService;
    style: string;
    showCloseButton: boolean;
    constructor(i18nService: I18nService);
    readonly closeButtonTooltipText: any;
}
