import { StorageService } from '@lightweightform/core';
import { AppComponent } from '../app/app.component';
/**
 * HTML string of the tree-nav component.
 */
export declare const treeNavComponentHtml: string;
/**
 * Component used to show a tree to navigate between values.
 */
export declare class TreeNavComponent {
    protected storageService: StorageService;
    protected appComponent: AppComponent;
    /**
     * Path from which to show children.
     */
    path: string;
    constructor(storageService: StorageService, appComponent: AppComponent);
    /**
     * Hide the tree-nav.
     */
    hideTreeNav(): void;
}
