import { TemplateRef } from '@angular/core';
import { Schema } from '@lightweightform/storage';
import { Value } from '../../abstract/value';
/**
 * HTML string of the form-list component.
 */
export declare const formListComponentHtml: string;
/**
 * LF form-list component.
 */
export declare class FormListComponent extends Value {
    formTemplate: TemplateRef<any>;
    /**
     * Index of this form-list's active child.
     */
    readonly activeChildIndex: number | undefined;
    /**
     * @override
     */
    protected validateSchema(schema: Schema): void;
}
