import { StorageService } from '@lightweightform/core';
/**
 * HTML string of the value-state component.
 */
export declare const valueStateComponentHtml: string;
/**
 * Component used to debug information about the state of a value.
 */
export declare class ValueStateComponent {
    private storageService;
    path: string;
    private stateModal;
    constructor(storageService: StorageService);
    readonly value: any;
    readonly stateProperties: Record<string, any>;
    readonly hasAsyncProperties: boolean;
    recomputeAsyncProperties(): void;
    showStateModal(): void;
    readonly inProduction: boolean;
}
